document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    menuToggle.classList.toggle('active');
  });

  // Search functionality
  const searchInput = document.getElementById('searchInput');
  const searchButton = document.getElementById('searchButton');

  searchButton.addEventListener('click', () => {
    performSearch(searchInput.value);
  });

  searchInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      performSearch(searchInput.value);
    }
  });

  // Mock price updates
  setInterval(updatePrices, 5000);
});

function performSearch(query) {
  query = query.trim().toLowerCase();
  if (query) {
    // Mock search functionality
    console.log(`Searching for: ${query}`);
    // In a real implementation, this would call an API
  }
}

function updatePrices() {
  const priceElements = document.querySelectorAll('.price');
  const changeElements = document.querySelectorAll('.change');

  priceElements.forEach((element, index) => {
    const random = Math.random();
    const currentPrice = parseFloat(element.textContent.replace('$', ''));
    const change = (random - 0.5) * 100;
    const newPrice = currentPrice + change;

    element.textContent = `$${newPrice.toFixed(2)}`;
    
    const changeElement = changeElements[index];
    const changePercent = (change / currentPrice * 100).toFixed(2);
    
    changeElement.textContent = `${changePercent > 0 ? '+' : ''}${changePercent}%`;
    changeElement.className = `change ${changePercent > 0 ? 'positive' : 'negative'}`;
  });
}
